datasetsDynamic
================

<!-- WARNING: THIS FILE WAS AUTOGENERATED! DO NOT EDIT! -->

## Install

``` sh
pip install datasetsDynamic
```

## How to use

For every dataset a load function is implemented which computes training
and test data for the corresponding dataset including all preprocessing
and basic feature engineering steps. For most datasets the test period
can be chosen dynamically using the parameter `testDays`. While doing
so, it is ensured that all features that depend on the train and test
structure are computed only based on the training data.

``` python
from datasetsDynamic.loadDataYaz import loadDataYaz
data, XTrain, yTrain, XTest, yTest = loadDataYaz(testDays = 28, returnXY = True, daysToCut = 0, disable_progressbar = False)
```

    Rolling: 100%|██████████| 30/30 [00:00<00:00, 36.35it/s]
    Feature Extraction: 100%|██████████| 30/30 [00:02<00:00, 13.59it/s]
    Rolling: 100%|██████████| 30/30 [00:00<00:00, 35.29it/s]
    Feature Extraction: 100%|██████████| 30/30 [00:02<00:00, 12.19it/s]
    Rolling: 100%|██████████| 30/30 [00:00<00:00, 37.20it/s]
    Feature Extraction: 100%|██████████| 30/30 [00:02<00:00, 14.39it/s]

``` python
from datasetsDynamic.loadDataBakery import loadDataBakery
data, XTrain, yTrain, XTest, yTest = loadDataBakery(testDays = 28, returnXY = True, daysToCut = 0, disable_progressbar = False)
```

    Rolling: 100%|██████████| 152/152 [00:11<00:00, 13.25it/s]
    Feature Extraction: 100%|██████████| 160/160 [00:43<00:00,  3.70it/s]
    Rolling: 100%|██████████| 152/152 [00:12<00:00, 11.84it/s]
    Feature Extraction: 100%|██████████| 160/160 [00:44<00:00,  3.59it/s]
    Rolling: 100%|██████████| 152/152 [00:11<00:00, 13.53it/s]
    Feature Extraction: 100%|██████████| 160/160 [00:44<00:00,  3.57it/s]
